iMacros is part of the Ipswitch family of tools and services.
by / Thursday, 28 September 2017 / Published in Uncategorized

Hello iMacros for Firefox users old and new. I’m sure that many of you have already noticed or have started wondering about iMacros compatibility with the current release of Firefox (56 at the time of writing) and especially what will happen with iMacros after Mozilla releases Firefox 57, which uses a new framework for add-ons.

The latest version of iMacros for Firefox, 9.0.3, does not work with Firefox 56 and will not support Firefox 57 or later. The changes that Mozilla adopted in Firefox 57 to implement their WebExtensions API, which is similar to the extensions API used by Chrome and other browsers, impacts many Firefox add-ons including iMacros.

Our developers are currently busy developing a new version of iMacros for Firefox that supports the new API, and we hope to have something released for you by the end of the year. Further updates will be provided as more information becomes available.

In the meantime, if you need to continue using iMacros for Firefox we suggest staying with Firefox 55.0.2 (and disabling automatic updates).

For the most functionality and best stability, we recommend downgrading to iMacros for Firefox 8.9.7 and staying with Firefox 49.0.2. Instructions for downgrading iMacros for Firefox can be found in the iMacros wiki.

Of course, you are also welcome to try iMacros for Chrome or one of our commercial editions!

TOP